<?php




namespace app\validate\api;

use think\Validate;

class UserAddressValidate extends Validate
{
    protected $failException = true;

    protected $rule = [
        'real_name|收货人姓名' => 'require',
        'phone|收货人电话' => 'require|alphaDash',
        'area|收货信息' => 'require|array|min:3|checkArea',
        'detail|收货人详细地址' => 'require',
    ];

    public function checkArea($list)
    {
        foreach ($list as $item) {
            if (!isset($item['name'], $item['id']))
                return '请选择正确的收货地址';
        }
        return true;
    }
}
